<?php

namespace App\Http\Controllers\Webprofile\Front;

use App\Http\Controllers\Controller;
use App\Models\Webprofile\Categories;
use App\Models\Webprofile\Design;
use App\Models\Webprofile\Menu;
use App\Models\Webprofile\Posts;
use Session;

class PostController extends Controller
{
    public function index($title)
    {
        $setting = webprofilesetting();

        if (!Session::has('selected_language')) {
            session(['selected_language' => 'id']);
        }

        if (Session::get('selected_language') == 'id') {
            $data = $this->getDataId($setting, $title);

            return view('webprofile.front.'.$setting['theme'].'.post', $data);
        } elseif (Session::get('selected_language') == 'en') {
            $data = $this->getDataEn($setting, $title);

            return view('webprofile.front.'.$setting['theme'].'.en.post', $data);
        } elseif (Session::get('selected_language') == 'de') {
            $data = $this->getDataDe($setting, $title);

            return view('webprofile.front.'.$setting['theme'].'.de.post', $data);
        } elseif (Session::get('selected_language') == 'ar') {
            $data = $this->getDataSa($setting, $title);

            return view('webprofile.front.'.$setting['theme'].'.ar.post', $data);
        } elseif (Session::get('selected_language') == 'zh') {
            $data = $this->getDataZh($setting, $title);

            return view('webprofile.front.'.$setting['theme'].'.zh.post', $data);
        }
    }

    public function getDataId($setting, $title)
    {
        $setting = webprofilesetting();
        $data = Posts::where('slug', $title)->first();
        $terkait = Posts::where('categories', $data->categories)->orderBy('created_at', 'desc')->limit('5')->get();
        $resend = Posts::where('post_status', '1')->orderby('post_date', 'desc')->limit('5')->get();
        $hot = Posts::where('post_status', '1')->orderby('viewer', 'desc')->limit('5')->get();
        $categories = Categories::where('is_active', '1')->get();
        $menu = Menu::orderby('urutan', 'asc')->get();
        $widget_right = Design::where('name_design', 'widget_right')->orderBy('urutan', 'ASC')->get();
        $widget_left = Design::where('name_design', 'widget_left')->orderBy('urutan', 'ASC')->get();
        $footer = Design::where('name_design', 'like', '%footer_row%')->get();

        $viewer['viewer'] = (int) $data->viewer + 1;
        $data->update($viewer);

        $data = [
            'setting' => $setting,
            'data' => $data,
            'terkait' => $terkait,
            'menu' => $menu,
            'widget_right' => $widget_right,
            'widget_left' => $widget_left,
            'resend' => $resend,
            'hot' => $hot,
            'categories' => $categories,
            'footer' => $footer,
        ];

        return $data;
    }

    public function getDataEn($setting, $title)
    {
        $setting = webprofilesetting();
        $data = Posts::with(['rEn'])->where('slug', $title)->first();
        $terkait = Posts::with(['rEn'])->where('categories', $data->categories)->orderBy('created_at', 'desc')->limit('4')->get();
        $resend = Posts::with(['rEn'])->where('post_status', '1')->orderby('post_date', 'desc')->limit('5')->get();
        $hot = Posts::with(['rEn'])->where('post_status', '1')->orderby('viewer', 'desc')->limit('5')->get();
        $categories = Categories::with(['rEn'])->where('is_active', '1')->get();
        $menu = Menu::with(['rEn'])->orderby('urutan', 'asc')->get();
        $widget_right = Design::where('name_design', 'widget_right')->orderBy('urutan', 'ASC')->get();
        $widget_left = Design::where('name_design', 'widget_left')->orderBy('urutan', 'ASC')->get();
        $footer = Design::where('name_design', 'like', '%footer_row%')->get();

        $viewer['viewer'] = (int) $data->viewer + 1;
        $data->update($viewer);

        $data = [
            'setting' => $setting,
            'data' => $data,
            'terkait' => $terkait,
            'menu' => $menu,
            'widget_right' => $widget_right,
            'widget_left' => $widget_left,
            'resend' => $resend,
            'hot' => $hot,
            'categories' => $categories,
            'footer' => $footer,
        ];

        return $data;
    }

    public function getDataDe($setting, $title)
    {
        $setting = webprofilesetting();
        $data = Posts::with(['rDe'])->where('slug', $title)->first();
        $terkait = Posts::with(['rDe'])->where('categories', $data->categories)->orderBy('created_at', 'desc')->limit('4')->get();
        $resend = Posts::with(['rDe'])->where('post_status', '1')->orderby('post_date', 'desc')->limit('5')->get();
        $hot = Posts::with(['rDe'])->where('post_status', '1')->orderby('viewer', 'desc')->limit('5')->get();
        $categories = Categories::with(['rDe'])->where('is_active', '1')->get();
        $menu = Menu::with(['rDe'])->orderby('urutan', 'asc')->get();
        $widget_right = Design::where('name_design', 'widget_right')->orderBy('urutan', 'ASC')->get();
        $widget_left = Design::where('name_design', 'widget_left')->orderBy('urutan', 'ASC')->get();
        $footer = Design::where('name_design', 'like', '%footer_row%')->get();

        $viewer['viewer'] = (int) $data->viewer + 1;
        $data->update($viewer);

        $data = [
            'setting' => $setting,
            'data' => $data,
            'terkait' => $terkait,
            'menu' => $menu,
            'widget_right' => $widget_right,
            'widget_left' => $widget_left,
            'resend' => $resend,
            'hot' => $hot,
            'categories' => $categories,
            'footer' => $footer,
        ];

        return $data;
    }

    public function getDataSa($setting, $title)
    {
        $setting = webprofilesetting();
        $data = Posts::with(['rSa'])->where('slug', $title)->first();
        $terkait = Posts::with(['rSa'])->where('categories', $data->categories)->orderBy('created_at', 'desc')->limit('4')->get();
        $resend = Posts::with(['rSa'])->where('post_status', '1')->orderby('post_date', 'desc')->limit('5')->get();
        $hot = Posts::with(['rSa'])->where('post_status', '1')->orderby('viewer', 'desc')->limit('5')->get();
        $categories = Categories::with(['rSa'])->where('is_active', '1')->get();
        $menu = Menu::with(['rSa'])->orderby('urutan', 'asc')->get();
        $widget_right = Design::where('name_design', 'widget_right')->orderBy('urutan', 'ASC')->get();
        $widget_left = Design::where('name_design', 'widget_left')->orderBy('urutan', 'ASC')->get();
        $footer = Design::where('name_design', 'like', '%footer_row%')->get();

        $viewer['viewer'] = (int) $data->viewer + 1;
        $data->update($viewer);

        $data = [
            'setting' => $setting,
            'data' => $data,
            'terkait' => $terkait,
            'menu' => $menu,
            'widget_right' => $widget_right,
            'widget_left' => $widget_left,
            'resend' => $resend,
            'hot' => $hot,
            'categories' => $categories,
            'footer' => $footer,
        ];

        return $data;
    }

    public function getDataZh($setting, $title)
    {
        $setting = webprofilesetting();
        $data = Posts::with(['rZh'])->where('slug', $title)->first();
        $terkait = Posts::with(['rZh'])->where('categories', $data->categories)->orderBy('created_at', 'desc')->limit('4')->get();
        $resend = Posts::with(['rZh'])->where('post_status', '1')->orderby('post_date', 'desc')->limit('5')->get();
        $hot = Posts::with(['rZh'])->where('post_status', '1')->orderby('viewer', 'desc')->limit('5')->get();
        $categories = Categories::with(['rZh'])->where('is_active', '1')->get();
        $menu = Menu::with(['rZh'])->orderby('urutan', 'asc')->get();
        $widget_right = Design::where('name_design', 'widget_right')->orderBy('urutan', 'ASC')->get();
        $widget_left = Design::where('name_design', 'widget_left')->orderBy('urutan', 'ASC')->get();
        $footer = Design::where('name_design', 'like', '%footer_row%')->get();

        $viewer['viewer'] = (int) $data->viewer + 1;
        $data->update($viewer);

        $data = [
            'setting' => $setting,
            'data' => $data,
            'terkait' => $terkait,
            'menu' => $menu,
            'widget_right' => $widget_right,
            'widget_left' => $widget_left,
            'resend' => $resend,
            'hot' => $hot,
            'categories' => $categories,
            'footer' => $footer,
        ];

        return $data;
    }
}
